Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Un nouveau logo pour Fedora ?

#1 25/10/2018 11:28:09

econdami
Membre
Inscription : 28/01/2010
Messages : 507

[Résolu] Je n'arrive plus a utiliser pip !

bonjour a tous,
Comme d'habitude lorsque je viens ici c'est que je suis coince !!!!
La deniere en date ! lorsque je veux utiliser pip je recois une bordee d'injures:

pip3 install nipype
Collecting nipype
  Using cached https://files.pythonhosted.org/packages/c1/c2/e5f5a0233a473e31c8410cdc4598f0e672651998cbe8ebfdff95977e0081/nipype-1.1.3-py2.py3-none-any.whl
Requirement already satisfied: networkx>=1.9 in /usr/lib/python3.6/site-packages (from nipype) (1.11)
Requirement already satisfied: pydotplus in /usr/lib/python3.6/site-packages (from nipype) (2.0.2)
Requirement already satisfied: configparser in /usr/local/lib/python3.6/site-packages (from nipype) (3.5.0)
Requirement already satisfied: nibabel>=2.1.0 in /usr/lib/python3.6/site-packages (from nipype) (2.1.0)
Requirement already satisfied: funcsigs in /usr/lib/python3.6/site-packages (from nipype) (1.0.2)
Requirement already satisfied: traits>=4.6 in /usr/lib64/python3.6/site-packages (from nipype) (4.6.0)
Requirement already satisfied: future>=0.16.0 in /usr/local/lib/python3.6/site-packages (from nipype) (0.16.0)
Requirement already satisfied: click>=6.6.0 in /usr/local/lib/python3.6/site-packages (from nipype) (6.7)
Requirement already satisfied: mock in /usr/lib/python3.6/site-packages (from nipype) (2.0.0)
Requirement already satisfied: pydot>=1.2.3 in /usr/local/lib/python3.6/site-packages (from nipype) (1.2.4)
Requirement already satisfied: python-dateutil>=2.2 in /usr/lib/python3.6/site-packages (from nipype) (2.6.0)
Requirement already satisfied: pytest-xdist in /usr/local/lib/python3.6/site-packages (from nipype) (1.22.5)
Requirement already satisfied: prov==1.5.0 in /usr/local/lib/python3.6/site-packages (from nipype) (1.5.0)
Requirement already satisfied: pytest>=3.0 in /usr/local/lib/python3.6/site-packages (from nipype) (3.7.1)
Requirement already satisfied: numpy>=1.9.0 in /usr/lib64/python3.6/site-packages (from nipype) (1.13.3)
Requirement already satisfied: packaging in /usr/local/lib/python3.6/site-packages (from nipype) (17.1)
Requirement already satisfied: simplejson>=3.8.0 in /usr/local/lib64/python3.6/site-packages (from nipype) (3.16.0)
Requirement already satisfied: scipy>=0.14 in /usr/lib64/python3.6/site-packages (from nipype) (1.0.0)
Requirement already satisfied: decorator>=3.4.0 in /usr/lib/python3.6/site-packages (from networkx>=1.9->nipype) (4.0.11)
Requirement already satisfied: pyparsing>=2.0.1 in /usr/lib/python3.6/site-packages (from pydotplus->nipype) (2.1.10)
Requirement already satisfied: pbr>=0.11 in /usr/lib/python3.6/site-packages (from mock->nipype) (3.1.1)
Requirement already satisfied: six>=1.9 in /usr/lib/python3.6/site-packages (from mock->nipype) (1.11.0)
Requirement already satisfied: execnet>=1.1 in /usr/local/lib/python3.6/site-packages (from pytest-xdist->nipype) (1.5.0)
Requirement already satisfied: pytest-forked in /usr/local/lib/python3.6/site-packages (from pytest-xdist->nipype) (0.2)
Requirement already satisfied: rdflib>=4.2.1 in /usr/local/lib/python3.6/site-packages (from prov==1.5.0->nipype) (4.2.2)
Requirement already satisfied: lxml in /usr/lib64/python3.6/site-packages (from prov==1.5.0->nipype) (4.1.1)
Requirement already satisfied: py>=1.5.0 in /usr/local/lib/python3.6/site-packages (from pytest>=3.0->nipype) (1.5.4)
Requirement already satisfied: attrs>=17.4.0 in /usr/local/lib/python3.6/site-packages (from pytest>=3.0->nipype) (18.1.0)
Requirement already satisfied: more-itertools>=4.0.0 in /usr/local/lib/python3.6/site-packages (from pytest>=3.0->nipype) (4.3.0)
Requirement already satisfied: pluggy>=0.7 in /usr/local/lib/python3.6/site-packages (from pytest>=3.0->nipype) (0.7.1)
Requirement already satisfied: atomicwrites>=1.0 in /usr/local/lib/python3.6/site-packages (from pytest>=3.0->nipype) (1.1.5)
Requirement already satisfied: setuptools in /usr/lib/python3.6/site-packages (from pytest>=3.0->nipype) (37.0.0)
Requirement already satisfied: apipkg>=1.4 in /usr/local/lib/python3.6/site-packages (from execnet>=1.1->pytest-xdist->nipype) (1.5)
Requirement already satisfied: isodate in /usr/local/lib/python3.6/site-packages (from rdflib>=4.2.1->prov==1.5.0->nipype) (0.6.0)
Exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2883, in _dep_map
    return self.__dep_map
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2677, in __getattr__
    raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2874, in _parsed_pkg_info
    return self._pkg_info
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2677, in __getattr__
    raise AttributeError(attr)
AttributeError: _pkg_info

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 143, in main
    status = self.run(options, args)
  File "/usr/local/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 349, in run
    self._warn_about_conflicts(to_install)
  File "/usr/local/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 475, in _warn_about_conflicts
    package_set, _dep_info = check_install_conflicts(to_install)
  File "/usr/local/lib/python3.6/site-packages/pip/_internal/operations/check.py", line 98, in check_install_conflicts
    package_set = create_package_set_from_installed()
  File "/usr/local/lib/python3.6/site-packages/pip/_internal/operations/check.py", line 41, in create_package_set_from_installed
    package_set[name] = PackageDetails(dist.version, dist.requires())
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2621, in requires
    dm = self._dep_map
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2885, in _dep_map
    self.__dep_map = self._compute_dependencies()
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2894, in _compute_dependencies
    for req in self._parsed_pkg_info.get_all('Requires-Dist') or []:
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 2876, in _parsed_pkg_info
    metadata = self.get_metadata(self.PKG_INFO)
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pkg_resources/__init__.py", line 1795, in get_metadata
    raise KeyError("No metadata except PKG-INFO is available")
KeyError: 'No metadata except PKG-INFO is available'

J'ai pas mal cherche en vain ce matin. Si quelqu'un a une idee, je suis preneur !

Hors ligne

#2 25/10/2018 13:51:10

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 702
Site Web

Re : [Résolu] Je n'arrive plus a utiliser pip !

Bonjour,

quelle version de pip. Est-il à jour ?

Hors ligne

#3 25/10/2018 15:22:00

econdami
Membre
Inscription : 28/01/2010
Messages : 507

Re : [Résolu] Je n'arrive plus a utiliser pip !

en fait c'etait un peu le bazar ... j'ai fait un peu de menage car j'avais a priori plusieurs versions ...
je n'ai maintenant plus que la version installee par

dnf python2-pip

et

dnf python3-pip

.
dans :
/usr/lib/python2.7/site-packages/pip
et
/usr/lib/python3.6/site-packages/pip

avec les python scripts dans le repertoire /usr/bin.

Avant il y avait egalement le package pip dans /usr/local/lib/<etc.> et les script executables dans /usr/local/bin.

Bref je pense que c'etait un joyeux bazar !
ca semble aller mieux maintenant !
desole pour le derangement!
Tres bonne journee !

Hors ligne

#4 25/10/2018 16:05:35

econdami
Membre
Inscription : 28/01/2010
Messages : 507

Re : [Résolu] Je n'arrive plus a utiliser pip !

Pour repondre a ta question madko, j'ai maintenant (en me basant sur ce qui est dit avec la commande):

 dnf reinstall <package>

python2-pip-9.0.3-2.fc27.noarch
et
python3-pip-9.0.3-2.fc27.noarch

En revanche

% pip3 list| grep pip
pip (9.0.3)

% pip2 list | grep pip
pip (18.1)

Il y a autant de difference de version entre pip3 et pip2 ?

De plus, maintenant que j'ai fait du menage et conserve seulement ce qui vient de dnf, la mise a jour de pip ce fera via dnf ? (j'aime bien enfoncer des portes ouvertes, mais des fois il y a des evidences dont il faut se mefier !)
merci !

Hors ligne

#5 26/10/2018 08:31:21

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 702
Site Web

Re : [Résolu] Je n'arrive plus a utiliser pip !

pip est aussi vu comme un paquet pip, donc tu peux aussi le mettre à jour via pip.

Disons que le pip global installé par dnf on le laisse tel quel, et les différents pip que tu installes dans tes venv là tu peux si besoin les mettre à jour. Mais en général, à moins d'avoir un bordel monstre, ou une version qui date de l'an 40, pip fonctionne très bien. Pas la peine de faire la course à la mise à jour. Tu peux te poser la question de la mise à jour que quand tu as des erreurs comme tu as eu.

Si c'est résolu, n'oublie pas de l'indiquer (bouton Sujet résolu)

tschuss!

Hors ligne

#6 26/10/2018 17:27:44

econdami
Membre
Inscription : 28/01/2010
Messages : 507

Re : [Résolu] Je n'arrive plus a utiliser pip !

Merci pour ta reponse madko !
Je sujet est donc resolu.

Hors ligne

Pied de page des forums